## ros-one-joint-limits-interface 0.20.0-1jammy.20260220.2225

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(joint_limits_interface)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  hardware_interface
  roscpp
  urdf
)

# Declare a catkin package
catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    hardware_interface
    roscpp
    urdf
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  catkin_add_gtest(joint_limits_interface_test test/joint_limits_interface_test.cpp)
  target_link_libraries(joint_limits_interface_test ${catkin_LIBRARIES})

  catkin_add_gtest(joint_limits_urdf_test test/joint_limits_urdf_test.cpp)
  target_link_libraries(joint_limits_urdf_test ${catkin_LIBRARIES})

  add_rostest_gtest(joint_limits_rosparam_test
    test/joint_limits_rosparam.test
    test/joint_limits_rosparam_test.cpp
  )
  target_link_libraries(joint_limits_rosparam_test ${catkin_LIBRARIES})
endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-one-joint-limits-interface (0.20.0-1jammy.20260220.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Feb 2026 22:25:21 +0000

ros-one-joint-limits-interface (0.20.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-joint-limits-interface (0.19.6-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-joint-limits-interface (0.19.5-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-joint-limits-interface (0.19.4-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.1-0jammy) jammy; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.18.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.17.0-0jammy) jammy; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Prefer default member initializers
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.16.0-0jammy) jammy; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Use more meaningful pair iterator names
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in joint_limits_interface
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove liburdfdom-dev
  * Add missing roscpp & rospy dependencies
  * Remove rosunit test_depend from package.xml
  * Merge pull request #405 <https://github.com/ros-controls/ros_control/issues/405> from matthew-reynolds/use-nullptr
    Use nullptr
  * Prefer 0.0 for floating point literals
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * joint_limits: use an open-loop policy for velocity staturation
    The feedback from the controller is way too slow to be used on an
    actual robot. A robot that had 15 rad.s^-2 on each wheel as
    an acceleration limit could not even reach 2 rad.s^-2
    This is in line with ros_controllers`#23 <https://github.com/ros-controls/ros_control/issues/23>`_
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes
    Small fixes
  * Fix shadowed variables
  * -Werror=overloaded-virtual and initialization of fields in constructor
  * Contributors: Bence Magyar, Daniel Pinyol, Matt Reynolds, Paul Mathieu, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.15.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Sep 2018 00:00:00 -0000

ros-one-joint-limits-interface (0.15.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 May 2018 00:00:00 -0000

ros-one-joint-limits-interface (0.14.2-0jammy) jammy; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 00:00:00 -0000

ros-one-joint-limits-interface (0.14.1-0jammy) jammy; urgency=high





=== debian/control ===
Source: ros-one-joint-limits-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-hardware-interface, ros-one-roscpp, ros-one-urdf
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-one-joint-limits-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-hardware-interface, ros-one-roscpp, ros-one-urdf
Description: Interface for enforcing joint limits.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-joint-limits-interface//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-joint-limits-interface 0.20.0-1noble.20251023.0133

=== debian/changelog ===
ros-one-joint-limits-interface (0.20.0-1noble.20251023.0133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 01:33:21 +0000

ros-one-joint-limits-interface (0.20.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-joint-limits-interface (0.19.6-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-joint-limits-interface (0.19.5-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-joint-limits-interface (0.19.4-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.1-0noble) noble; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.19.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.18.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.17.0-0noble) noble; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Prefer default member initializers
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.16.0-0noble) noble; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Use more meaningful pair iterator names
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in joint_limits_interface
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove liburdfdom-dev
  * Add missing roscpp & rospy dependencies
  * Remove rosunit test_depend from package.xml
  * Merge pull request #405 <https://github.com/ros-controls/ros_control/issues/405> from matthew-reynolds/use-nullptr
    Use nullptr
  * Prefer 0.0 for floating point literals
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * joint_limits: use an open-loop policy for velocity staturation
    The feedback from the controller is way too slow to be used on an
    actual robot. A robot that had 15 rad.s^-2 on each wheel as
    an acceleration limit could not even reach 2 rad.s^-2
    This is in line with ros_controllers`#23 <https://github.com/ros-controls/ros_control/issues/23>`_
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes
    Small fixes
  * Fix shadowed variables
  * -Werror=overloaded-virtual and initialization of fields in constructor
  * Contributors: Bence Magyar, Daniel Pinyol, Matt Reynolds, Paul Mathieu, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-one-joint-limits-interface (0.15.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Sep 2018 00:00:00 -0000

ros-one-joint-limits-interface (0.15.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 May 2018 00:00:00 -0000

ros-one-joint-limits-interface (0.14.2-0noble) noble; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 00:00:00 -0000

ros-one-joint-limits-interface (0.14.1-0noble) noble; urgency=high





## ros-one-joint-limits-interface 0.20.0-1noble.20260220.2237

=== debian/changelog ===
ros-one-joint-limits-interface (0.20.0-1noble.20260220.2237) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Feb 2026 22:37:32 +0000
